IXP_SRV_WRITECTL(3)

NAME

ixp_srv_writectl

SYNOPSIS
  #include <ixp_srvutil.h>

  char *ixp_srv_writectl(Ixp9Req *req, char *(*fn)(void *, IxpMsg *));

DESCRIPTION

This utility function is meant to simplify the writing of pseudo files to which single-lined commands are written. In order to use this function, the IauxR member of IreqR->fid must be nul or an IxpFileId(3). Each line of the written data is stripped of its trailing newline, nul-terminated, and stored in an IxpMsg(3). For each line thus prepared, IfnR is called with the IxpMsg pointer and the the IpR member of the IxpFileId.